' This class is "generated" and will be overwritten.
' Your customizations should be made in PersonalInsigniaRecord.vb

Imports System.Data.SqlTypes
Imports BaseClasses
Imports BaseClasses.Data
Imports BaseClasses.Data.SqlProvider

Namespace Persons.Business

''' <summary>
''' The generated superclass for the <see cref="PersonalInsigniaRecord"></see> class.
''' </summary>
''' <remarks>
''' This class is not intended to be instantiated directly.  To obtain an instance of this class, 
''' use the methods of the <see cref="PersonalInsigniaTable"></see> class.
''' </remarks>
''' <seealso cref="PersonalInsigniaTable"></seealso>
''' <seealso cref="PersonalInsigniaRecord"></seealso>

<Serializable()> Public Class BasePersonalInsigniaRecord
	Inherits PrimaryKeyRecord
	

	Public Shared Shadows ReadOnly TableUtils As PersonalInsigniaTable = PersonalInsigniaTable.Instance

	' Constructors
 
	Protected Sub New()
		MyBase.New(TableUtils)
	End Sub

	Protected Sub New(ByVal record As PrimaryKeyRecord)
		MyBase.New(record, TableUtils)
	End Sub
	
	'Evaluates Initialize when->Inserting record formulas specified at the data access layer
    Public Overridable Sub PersonalInsigniaRecord_InsertingRecord(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles Me.InsertingRecord
        'Apply Initialize->Inserting record formula only if validation is successful.
        	        Dim PersonalInsigniaRec As PersonalInsigniaRecord = CType(sender,PersonalInsigniaRecord)
        Validate_Inserting()
        If Not PersonalInsigniaRec Is Nothing AndAlso Not PersonalInsigniaRec.IsReadOnly Then
                End If
    End Sub

	'Evaluates Initialize when->Updating record formulas specified at the data access layer
    Public Overridable Sub PersonalInsigniaRecord_UpdatingRecord(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles Me.UpdatingRecord
        'Apply Initialize->Updating record formula only if validation is successful.
        	        Dim PersonalInsigniaRec As PersonalInsigniaRecord = CType(sender,PersonalInsigniaRecord)
        Validate_Updating()
        If Not PersonalInsigniaRec Is Nothing AndAlso Not PersonalInsigniaRec.IsReadOnly Then
                End If
    End Sub
    
    'Evaluates Initialize when->Reading record formulas specified at the data access layer
    Public Overridable Sub PersonalInsigniaRecord_ReadRecord(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.ReadRecord
        'Apply Initialize->Reading record formula only if validation is successful.
        	        Dim PersonalInsigniaRec As PersonalInsigniaRecord = CType(sender,PersonalInsigniaRecord)
        If Not PersonalInsigniaRec Is Nothing AndAlso Not PersonalInsigniaRec.IsReadOnly Then
                End If
    End Sub
    
   'Evaluates Validate when->Inserting formulas specified at the data access layer
   Public Overridable Sub Validate_Inserting ()
		Dim fullValidationMessage As String = ""
		Dim validationMessage As String = ""

		dim formula as String = ""


		If validationMessage <> "" AndAlso validationMessage.ToLower() <> "true" Then
			fullValidationMessage &= validationMessage & vbCrLf
		End If

		If fullValidationMessage <> "" Then
			Throw New Exception(fullValidationMessage)
		End If 
	End Sub
	
	'Evaluates Validate when->Updating formulas specified at the data access layer
   Public Overridable Sub Validate_Updating ()
		Dim fullValidationMessage As String = ""
		Dim validationMessage As String = ""

		dim formula as String = ""


		If validationMessage <> "" AndAlso validationMessage.ToLower() <> "true" Then
			fullValidationMessage &= validationMessage & vbCrLf
		End If

		If fullValidationMessage <> "" Then
			Throw New Exception(fullValidationMessage)
		End If 
	End Sub
 
	Public Overridable Function EvaluateFormula(ByVal formula As String, Optional ByVal dataSourceForEvaluate As BaseClasses.Data.BaseRecord = Nothing, Optional ByVal format As String = Nothing) As String

		Dim e As Data.BaseFormulaEvaluator = New Data.BaseFormulaEvaluator()

            ' All variables referred to in the formula are expected to be
            ' properties of the DataSource.  For example, referring to
            ' UnitPrice as a variable will refer to DataSource.UnitPrice
            e.DataSource = dataSourceForEvaluate

            Dim resultObj As Object = e.Evaluate(formula)
            If resultObj Is Nothing Then
                Return ""
            End If
        	Return resultObj.ToString()
	End Function







#Region "Convenience methods to get/set values of fields"

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalInsignia_.id field.
	''' </summary>
	Public Function Getid0Value() As ColumnValue
		Return Me.GetValue(TableUtils.id0Column)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalInsignia_.id field.
	''' </summary>
	Public Function Getid0FieldValue() As Int32
		Return CType(Me.GetValue(TableUtils.id0Column).ToInt32(), Int32)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalInsignia_.PersonalId field.
	''' </summary>
	Public Function GetPersonalIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.PersonalIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalInsignia_.PersonalId field.
	''' </summary>
	Public Function GetPersonalIdFieldValue() As String
		Return CType(Me.GetValue(TableUtils.PersonalIdColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalInsignia_.PersonalId field.
	''' </summary>
	Public Sub SetPersonalIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.PersonalIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalInsignia_.PersonalId field.
	''' </summary>
	Public Sub SetPersonalIdFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.PersonalIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalInsignia_.InsigniaDate field.
	''' </summary>
	Public Function GetInsigniaDateValue() As ColumnValue
		Return Me.GetValue(TableUtils.InsigniaDateColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalInsignia_.InsigniaDate field.
	''' </summary>
	Public Function GetInsigniaDateFieldValue() As DateTime
		Return CType(Me.GetValue(TableUtils.InsigniaDateColumn).ToDateTime(), DateTime)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalInsignia_.InsigniaDate field.
	''' </summary>
	Public Sub SetInsigniaDateFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.InsigniaDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalInsignia_.InsigniaDate field.
	''' </summary>
	Public Sub SetInsigniaDateFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.InsigniaDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalInsignia_.InsigniaDate field.
	''' </summary>
	Public Sub SetInsigniaDateFieldValue(ByVal val As DateTime)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.InsigniaDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalInsignia_.InsigniaId field.
	''' </summary>
	Public Function GetInsigniaIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.InsigniaIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalInsignia_.InsigniaId field.
	''' </summary>
	Public Function GetInsigniaIdFieldValue() As Int16
		Return CType(Me.GetValue(TableUtils.InsigniaIdColumn).ToInt16(), Int16)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalInsignia_.InsigniaId field.
	''' </summary>
	Public Sub SetInsigniaIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.InsigniaIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalInsignia_.InsigniaId field.
	''' </summary>
	Public Sub SetInsigniaIdFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.InsigniaIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalInsignia_.InsigniaId field.
	''' </summary>
	Public Sub SetInsigniaIdFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.InsigniaIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalInsignia_.InsigniaId field.
	''' </summary>
	Public Sub SetInsigniaIdFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.InsigniaIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalInsignia_.InsigniaId field.
	''' </summary>
	Public Sub SetInsigniaIdFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.InsigniaIdColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalInsignia_.GazetteNO field.
	''' </summary>
	Public Function GetGazetteNOValue() As ColumnValue
		Return Me.GetValue(TableUtils.GazetteNOColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalInsignia_.GazetteNO field.
	''' </summary>
	Public Function GetGazetteNOFieldValue() As String
		Return CType(Me.GetValue(TableUtils.GazetteNOColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalInsignia_.GazetteNO field.
	''' </summary>
	Public Sub SetGazetteNOFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.GazetteNOColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalInsignia_.GazetteNO field.
	''' </summary>
	Public Sub SetGazetteNOFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.GazetteNOColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalInsignia_.GazetteSection field.
	''' </summary>
	Public Function GetGazetteSectionValue() As ColumnValue
		Return Me.GetValue(TableUtils.GazetteSectionColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalInsignia_.GazetteSection field.
	''' </summary>
	Public Function GetGazetteSectionFieldValue() As String
		Return CType(Me.GetValue(TableUtils.GazetteSectionColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalInsignia_.GazetteSection field.
	''' </summary>
	Public Sub SetGazetteSectionFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.GazetteSectionColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalInsignia_.GazetteSection field.
	''' </summary>
	Public Sub SetGazetteSectionFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.GazetteSectionColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalInsignia_.GazettePage field.
	''' </summary>
	Public Function GetGazettePageValue() As ColumnValue
		Return Me.GetValue(TableUtils.GazettePageColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalInsignia_.GazettePage field.
	''' </summary>
	Public Function GetGazettePageFieldValue() As String
		Return CType(Me.GetValue(TableUtils.GazettePageColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalInsignia_.GazettePage field.
	''' </summary>
	Public Sub SetGazettePageFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.GazettePageColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalInsignia_.GazettePage field.
	''' </summary>
	Public Sub SetGazettePageFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.GazettePageColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalInsignia_.GazetteDate field.
	''' </summary>
	Public Function GetGazetteDateValue() As ColumnValue
		Return Me.GetValue(TableUtils.GazetteDateColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalInsignia_.GazetteDate field.
	''' </summary>
	Public Function GetGazetteDateFieldValue() As DateTime
		Return CType(Me.GetValue(TableUtils.GazetteDateColumn).ToDateTime(), DateTime)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalInsignia_.GazetteDate field.
	''' </summary>
	Public Sub SetGazetteDateFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.GazetteDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalInsignia_.GazetteDate field.
	''' </summary>
	Public Sub SetGazetteDateFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.GazetteDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalInsignia_.GazetteDate field.
	''' </summary>
	Public Sub SetGazetteDateFieldValue(ByVal val As DateTime)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.GazetteDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalInsignia_.InsigniaReturn field.
	''' </summary>
	Public Function GetInsigniaReturnValue() As ColumnValue
		Return Me.GetValue(TableUtils.InsigniaReturnColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's PersonalInsignia_.InsigniaReturn field.
	''' </summary>
	Public Function GetInsigniaReturnFieldValue() As String
		Return CType(Me.GetValue(TableUtils.InsigniaReturnColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalInsignia_.InsigniaReturn field.
	''' </summary>
	Public Sub SetInsigniaReturnFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.InsigniaReturnColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's PersonalInsignia_.InsigniaReturn field.
	''' </summary>
	Public Sub SetInsigniaReturnFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.InsigniaReturnColumn)
	End Sub



#End Region

#Region "Convenience methods to get field names"

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalInsignia_.id field.
	''' </summary>
	Public Property id0() As Int32
		Get 
			Return CType(Me.GetValue(TableUtils.id0Column).ToInt32(), Int32)
		End Get
		Set (ByVal val As Int32) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.id0Column)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property id0Specified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.id0Column)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property id0Default() As String
        Get
            Return TableUtils.id0Column.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalInsignia_.PersonalId field.
	''' </summary>
	Public Property PersonalId() As String
		Get 
			Return CType(Me.GetValue(TableUtils.PersonalIdColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.PersonalIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property PersonalIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.PersonalIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property PersonalIdDefault() As String
        Get
            Return TableUtils.PersonalIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalInsignia_.InsigniaDate field.
	''' </summary>
	Public Property InsigniaDate() As DateTime
		Get 
			Return CType(Me.GetValue(TableUtils.InsigniaDateColumn).ToDateTime(), DateTime)
		End Get
		Set (ByVal val As DateTime) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.InsigniaDateColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property InsigniaDateSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.InsigniaDateColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property InsigniaDateDefault() As String
        Get
            Return TableUtils.InsigniaDateColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalInsignia_.InsigniaId field.
	''' </summary>
	Public Property InsigniaId() As Int16
		Get 
			Return CType(Me.GetValue(TableUtils.InsigniaIdColumn).ToInt16(), Int16)
		End Get
		Set (ByVal val As Int16) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.InsigniaIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property InsigniaIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.InsigniaIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property InsigniaIdDefault() As String
        Get
            Return TableUtils.InsigniaIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalInsignia_.GazetteNO field.
	''' </summary>
	Public Property GazetteNO() As String
		Get 
			Return CType(Me.GetValue(TableUtils.GazetteNOColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.GazetteNOColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property GazetteNOSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.GazetteNOColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property GazetteNODefault() As String
        Get
            Return TableUtils.GazetteNOColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalInsignia_.GazetteSection field.
	''' </summary>
	Public Property GazetteSection() As String
		Get 
			Return CType(Me.GetValue(TableUtils.GazetteSectionColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.GazetteSectionColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property GazetteSectionSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.GazetteSectionColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property GazetteSectionDefault() As String
        Get
            Return TableUtils.GazetteSectionColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalInsignia_.GazettePage field.
	''' </summary>
	Public Property GazettePage() As String
		Get 
			Return CType(Me.GetValue(TableUtils.GazettePageColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.GazettePageColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property GazettePageSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.GazettePageColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property GazettePageDefault() As String
        Get
            Return TableUtils.GazettePageColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalInsignia_.GazetteDate field.
	''' </summary>
	Public Property GazetteDate() As DateTime
		Get 
			Return CType(Me.GetValue(TableUtils.GazetteDateColumn).ToDateTime(), DateTime)
		End Get
		Set (ByVal val As DateTime) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.GazetteDateColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property GazetteDateSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.GazetteDateColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property GazetteDateDefault() As String
        Get
            Return TableUtils.GazetteDateColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's PersonalInsignia_.InsigniaReturn field.
	''' </summary>
	Public Property InsigniaReturn() As String
		Get 
			Return CType(Me.GetValue(TableUtils.InsigniaReturnColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.InsigniaReturnColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property InsigniaReturnSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.InsigniaReturnColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property InsigniaReturnDefault() As String
        Get
            Return TableUtils.InsigniaReturnColumn.DefaultValue
        End Get
    End Property



#End Region

End Class
End Namespace
